#
# Drizzle PHP Extension
#
# Copyright (C) 2008 Eric Day (eday@oddments.org)
#             James M. Luedke (contact@jamesluedke.com)
# All rights reserved.
#
# Use and distribution licensed under the PHP license.  See
# the LICENSE file in this directory for full text.
#

CFLAGS="$CFLAGS -Wall"
PHP_ARG_WITH(drizzle, whether to enable drizzle support,
[[  --with-drizzle[=PATH]   Include drizzle support]])

if test "$PHP_DRIZZLE" != "no"; then
  for i in $PHP_DRIZZLE /usr/local /usr /opt/local; do
    if test -r $i/include/libdrizzle/drizzle.h; then
      DRIZZLE_LIB_DIR=$i/lib
      DRIZZLE_INC_DIR=$i/include
      AC_MSG_RESULT(found in $i)
      break
    fi
  done

  if test -z "$DRIZZLE_LIB_DIR" -o -z "$DRIZZLE_INC_DIR"; then
     AC_MSG_RESULT([not found])
     AC_MSG_ERROR([Please install libdrizzle])
  fi

  PHP_CHECK_LIBRARY(drizzle, drizzle_create,
  [
    PHP_ADD_LIBRARY_WITH_PATH(drizzle, $DRIZZLE_LIB_DIR, DRIZZLE_SHARED_LIBADD)
    AC_DEFINE(HAVE_DRIZZLE, 1, [Whether you have drizzle])
  ],[
    AC_MSG_ERROR([wrong libdrizzle version or lib not found])
  ],[
    -L$DRIZZLE_LIB_DIR -R$DRIZZLE_LIB_DIR
  ])
  dnl
  PHP_SUBST(DRIZZLE_SHARED_LIBADD)

  PHP_ADD_INCLUDE($DRIZZLE_INC_DIR)
  PHP_NEW_EXTENSION(drizzle, php_drizzle.c, $ext_shared)
fi
